;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50php-elisp.el
;; for the Debian php-elisp package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; Peter S Galbraith <psg@debian.org>  2010-06-05
;;  Check if package is installed and correctly byte-compiled.

;; The php-elisp package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name debian-emacs-flavor)
                           "/site-lisp/php-elisp")))
;; If package-dir does not exist, the php-elisp package must have
;; removed but not purged, and we should skip the setup.
  (cond
   ((not (file-exists-p "/usr/share/emacs/site-lisp/php-elisp/php-mode.el"))
    (message
     "Package php-elisp removed but not purged.  Skipping setup."))
   ((not (file-exists-p (concat "/usr/share/"
				(symbol-name debian-emacs-flavor)
				"/site-lisp/php-elisp/php-mode.elc")))
    (message "Package php-elisp is not fully installed.  Skipping setup."))
   (t
    (if (fboundp 'debian-pkg-add-load-path-item)
        (debian-pkg-add-load-path-item package-dir)
      (setq load-path (cons package-dir load-path)))
    (autoload 'php-mode "php-elisp/php-mode"
      "Major mode for editing php files." t)
    (add-to-list 'auto-mode-alist '("\\.php[34]?$" . php-mode))
    (add-to-list 'auto-mode-alist '("\\.phtml$" . php-mode))
    (add-to-list 'auto-mode-alist '("\\.module$" . php-mode))
    )))
